# isDebug

abstract fun isDebug(): Boolean

Indicates whether the build should be executed "in process" so that it is debuggable.

If debug support is not enabled, the build will be executed in an entirely separate process. This means that any debugger that is attached to the test execution process will not be attached to the build process. When debug support is enabled, the build is executed in the same process that is using the Gradle Runner, allowing the build to be debugged.

Debug support is off (i.e. `false`) by default. It can be enabled by setting the system property `org.gradle.testkit.debug` to `true` for the test process, or by using the withDebug method.

When withEnvironment is specified, running with debug is not allowed. Debug mode runs "in process" and we need to fork a separate process to pass environment variables.

#### Return

whether the build should be executed in the same process

#### Since

2.9